import { EggAppConfig, EggAppInfo, PowerPartial } from 'egg';

export default (appInfo: EggAppInfo) => {
  const config = {} as PowerPartial<EggAppConfig>;

  // override config from framework / plugin
  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1596162922061_6405';

  // add your egg config in here
  config.middleware = [];
  //关闭post验证
  config.security = {
    csrf: {
      enable: false,
    }
  }
  //模板渲染
  config.view = {
    mapping: {
      '.html': 'nunjucks',
    }
  }


  // add your special config in here
  const bizConfig = {
    sourceUrl: `https://github.com/eggjs/examples/tree/master/${appInfo.name}`,
  };
  // the return config will combines to EggAppConfig
  return {
    ...config,
    ...bizConfig
  };
};
